Skip to main content
POST
Remove a designation-only gift from checkout

Path Parameters

client_id
integer
required

Client id that owns the checkout page and designation.

hysform_id
integer
required

Donor HysForm id used by the designation-only checkout page.

designation_id
string
required

Configured designation checkout id from the landing page. It is carried through for checkout context.

id
integer
required

Specific designation id to remove from saved_designations and saved_designation_frequency.

currency
string
required

Currency symbol or code used only for the donor-facing confirmation message.

session_id
string
required

Optional Redis frontend session id for the checkout cart. A new empty session is created when this one is missing or expired.

Response

Designation gift was removed from the checkout session.

message
string
Example:

"Gift of $25 was removed from your order."

status
string
Example:

"success"